@echo off

:INIT
setlocal
set PATH=%~dp0tools\Win32;%PATH%
rem set DNHOME="c:\intpub\scripts\dax"
set DNHOME=%~dp0..
cd /D "%~dp0"

IF NOT EXIST "%DNHOME%\daxsys.exe" (
    echo ERROR: invalid $DNHOME=%DNHOME%
	GOTO ERROR
)

IF NOT EXIST .\log (
	mkdir .\log
)

:UPDATE
rem # --------------------------------------------------------------------------
rem # v20r11_v30r10
rem # --------------------------------------------------------------------------
set LOGF=.\log\v30r10update.log
call .\v30r10update\update.bat "%DNHOME%" > "%LOGF%"
findstr /V /R "^-" %LOGF%
IF NOT %ERRORLEVEL% == 1 (
	echo ERROR.
	GOTO ERROR
)

:EXIT
endlocal
exit 0

:ERROR
endlocal
exit 1
