#!/bin/sh

cd `dirname $0`
CDIR=`pwd`
DNHOME=`dirname ${CDIR}`; export DNHOME
PATH=${CDIR}/tools/`uname`:$PATH; export PATH

if [ -d log ]; then
    echo "ERROR: don't need to update."
    exit 1;
else
    mkdir log
fi ;


# -------------------------------------
# UPDATE v20r11_v30r10
# -------------------------------------
LOGF=./log/v20r11_v30r10.log
(cd v20r11_v30r10; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

exit 0;
